// This file contains macros useful for logging information to RSInit.

#ifndef _RSLIB_LOG_H
#define _RSLIB_LOG_H

#include "Globals.h"

#define LOGGING_TASKS \
  g.initDeviceHandle.IsLoggingTasks()
#define LOGGING_ERRORS \
  g.initDeviceHandle.IsLoggingErrors()
#define LOGGING_WARNINGS \
  g.initDeviceHandle.IsLoggingWarnings()
#define LOGGING_INFORMATION \
  g.initDeviceHandle.IsLoggingInformation()

#define LOG_TEMP \
  g.initDeviceHandle.LogString
#define LOG_ERROR_NO_PARAMETERS \
  g.initDeviceHandle.LogError
#define LOG_ERROR_ONE_PARAMETER \
  g.initDeviceHandle.LogErrorOneParameter
#define LOG_ERROR_TWO_PARAMETERS \
  g.initDeviceHandle.LogErrorTwoParameters

#endif

