// This file contains definitions for RightSpeed error codes.

#ifndef _RIGHTSPEED_COMMON_ERRCODES_H
#define _RIGHTSPEED_COMMON_ERRCODES_H

#define RIGHTSPEED_ERROR_MIN                              0xA0A83E00
#define RIGHTSPEED_ERROR_TTG_OPENING_OR_CLOSING           0xA0A83E00
#define RIGHTSPEED_ERROR_BAD_TTG_DIRECTORY                0xA0A83E01
#define RIGHTSPEED_ERROR_BAD_TTG_FILE_NAME                0xA0A83E02
#define RIGHTSPEED_ERROR_BAD_TTG_FILE_FORMAT              0xA0A83E03
#define RIGHTSPEED_ERROR_INVALID_TASK_TYPE                0xA0A83E04
#define RIGHTSPEED_ERROR_INTERVENING_TASK                 0xA0A83E05
#define RIGHTSPEED_ERROR_INVALID_TASK_ID                  0xA0A83E06
#define RIGHTSPEED_ERROR_INVALID_REGISTRY_DATA            0xA0A83E07
#define RIGHTSPEED_ERROR_INVALID_SCHEDULE                 0xA0A83E08
#define RIGHTSPEED_ERROR_TOO_MANY_ONGOING_TASKS           0xA0A83E0B
#define RIGHTSPEED_ERROR_WRITEBACK_DISABLED               0xA0A83E0C
#define RIGHTSPEED_ERROR_FLUSH_IN_PROGRESS                0xA0A83E0D
#define RIGHTSPEED_ERROR_NOT_INITIALIZED                  0xA0A83E0E
#define RIGHTSPEED_ERROR_BAD_NUMBER_OF_TASK_TYPES         0xA0A83E0F
#define RIGHTSPEED_ERROR_BAD_TASK_TYPE_DESCRIPTION        0xA0A83E10
#define RIGHTSPEED_ERROR_FS_ALREADY_FILTERED              0xA0A83E11
#define RIGHTSPEED_ERROR_INVALID_POLICY_TYPE              0xA0A83E12
#define RIGHTSPEED_ERROR_LOG_FILE_STARTING_OR_STOPPING    0xA0A83E13
#define RIGHTSPEED_ERROR_LOG_FILE_ACTIVE                  0xA0A83E14
#define RIGHTSPEED_ERROR_UNINSTALLING                     0xA0A83E15

#define RIGHTSPEED_ERROR_MAX                              0xA0A83EFF

#define RIGHTSPEED_INVALID_TASK_ID                        0xFFFFFFFF
#define RIGHTSPEED_INVALID_TASK_TYPE                      0xFFFFFFFF

#endif
