// This file contains definitions pertaining to hooks performed by
// RSHook.

#ifndef _RIGHTSPEED_COMMON_HOOKS_H
#define _RIGHTSPEED_COMMON_HOOKS_H

///////////////////////////////////////////////////////////////////////////
// HOOKS
///////////////////////////////////////////////////////////////////////////

// The following bit fields describe possible hooks that can be
// instantiated:

#define HOOK_FLAG_CONTEXT_SWITCH                     1
#define HOOK_FLAG_PROCESS_CREATE                     2
#define HOOK_FLAG_THREAD_CREATE                      4

// A HOOK_SET, defined here, is a set of hooks, described as a bit
// vector:

typedef unsigned long HOOK_SET;

#endif
