// This file contains definitions for the I/O control functions for
// RSInit.

#ifndef _RS_INIT_IOCTLS_H
#define _RS_INIT_IOCTLS_H

NTSTATUS IoctlGetSharedState (
  PCHAR outBuf,
  ULONG outBufLength,
  PULONG returnedBytesPtr
  );

NTSTATUS IoctlGetKernelUserSharedState (
  PFILE_OBJECT fileObject,
  PCHAR outBuf,
  ULONG outBufLength,
  PULONG returnedBytesPtr
  );

NTSTATUS IoctlLogEvent (
  PCHAR inBuf,
  ULONG inBufLength
  );

NTSTATUS IoctlWriteSpeedMsr (
  PCHAR inBuf,
  ULONG inBufLength
  );

#endif

