// This file contains definitions for dealing with samples.

#ifndef _RSTASK_SAMPLES_H
#define _RSTASK_SAMPLES_H

#include "../Common/Algorithm.h"

void ResetAgedSample (PAGED_SAMPLE sample);

unsigned long AddAgedSampleValue (
  PAGED_SAMPLE sample,
  LONGLONG cycles
  );

void GetAgedSampleMeanAndVariance (
  PAGED_SAMPLE sample,
  double *meanPtr,
  double *variancePtr
  );

#endif
