#ifndef _LOGFILE_H
#define _LOGFILE_H

#include <iostream>
#include "filetime.h"
#include "genio.h"
#include "times.h"
#include "Parameters.h"

class LogFile : public jrl::RawBufferedGeneralInput {
public:
  LogFile(const Parameters& paramsVal);

  void Print (ostream& os);
  
private:
  void PrintPreamble (ostream& os);
  void PrintNextEntry (ostream& os);
  
  const Parameters& params;
  unsigned long version;
  char data[256];
};
  
#endif
