// This file contains definitions for flushing TTG file information
// to disk.

#ifndef _RS_TASK_PERIODIC_FLUSH_H
#define _RS_TASK_PERIODIC_FLUSH_H

typedef struct _periodic_flush_info {

  // This is the DPC used to perform a periodic flush:
  KDPC dpc;

  // This is the timer used to schedule the above DPC:
  KTIMER timer;
  
} PERIODIC_FLUSH_INFO, *PPERIODIC_FLUSH_INFO;

void InitializePeriodicFlush (PPERIODIC_FLUSH_INFO info);
void StartPeriodicFlush (PPERIODIC_FLUSH_INFO info);
void StopPeriodicFlush (PPERIODIC_FLUSH_INFO info);

#endif
