// This file contains definitions for computing gamma schedules.

#ifndef _RSTASK_GAMMA_H
#define _RSTASK_GAMMA_H

#include "TTGFile.h"

void ComputeGammaSchedule (
  PSPEED_SCHEDULE schedule,
  double mean,
  double variance,
  double pdc,
  long deadlineI,
  PKSPIN_LOCK spinLock
  );

BOOLEAN ComputeMultispeedGammaSchedule (
  PSPEED_SCHEDULE schedule,
  double mean,
  double variance,
  double pdc,
  long deadlineI,
  PKSPIN_LOCK spinLock
  );

#endif
