// This file contains routines for reading the timestamp counter.

#include <ntddk.h>
#include "TSC.h"

void GetTSC (LONGLONG *tscPtr)
{
  __asm {
    _emit 0x0F       ; 0x0F31 is rdtsc
    _emit 0x31
    mov ebx, tscPtr
    mov [ebx], eax   ; put the low 4 bytes of the timestamp first
    mov [ebx+4], edx ; put the high 4 bytes of the timestamp second
  }
}
