// This file contains definitions relating to updating the information
// in a task type.

#ifndef _RSTASK_UPDATE_H
#define _RSTASK_UPDATE_H

#include "../Common/TTG.h"

void ComputeInitialSchedule (PTT_INFO ttInfo);

void AddSampleValue (
  ULONGLONG cycles,
  PTT_INFO ttInfo,
  PKSPIN_LOCK spinLock
  );

void AddSampleValueAndRecomputeSchedule (
  ULONGLONG cycles,
  PTT_INFO ttInfo,
  PKSPIN_LOCK spinLock
  );

void ResetSample (PTT_INFO ttInfo);

void ChangeDeadline (
  PTT_INFO ttInfo,
  ULONG newDeadlineHns
  );

#endif
