// This file contains version information for RightSpeed.

#ifndef _RIGHTSPEED_COMMON_VERSION_H
#define _RIGHTSPEED_COMMON_VERSION_H

// These are the types of processor supported:

#define RIGHTSPEED_CPU_TYPE_TMTA     0
#define RIGHTSPEED_CPU_TYPE_AMD      1

// The RightSpeed version bytes have the following meanings, from most
// to least significant:
//
// bytes 0, 1 : major version
// byte 2 : minor version
// byte 3 : subminor version

#define RIGHTSPEED_VERSION             0x000103
#define RIGHTSPEED_CPU_TYPE            RIGHTSPEED_CPU_TYPE_TMTA
#define TARGET_NT_VERSION              5

#endif
