// This file contains definitions for adding and removing reasons to
// not log.

#ifndef _RIGHTSPEED_START_STOP_H
#define _RIGHTSPEED_START_STOP_H

void AddReasonsForNotLogging (ULONG reasons);
void RemoveReasonsForNotLogging (ULONG reasons);

// The following are reasons for stopping logging:

#define BECAUSE_BUFFER_OVERFLOWED                       1
#define BECAUSE_USER_REQUESTED                          2
#define BECAUSE_FLUSH_FAILED                            16
#define BECAUSE_SYSTEM_HALTING                          32
#define BECAUSE_RSLOG_UNLOADED                          64
#define BECAUSE_END_REACHED                             256
#define BECAUSE_NO_LOG_FILE                             512

#endif
