// This file contains definitions related to the identification of
// automatic tasks from messages.

#ifndef _RSLIB_AUTOTASK_H
#define _RSLIB_AUTOTASK_H

////////////////////////////////////////////////////////////////////////////
// CONSTANTS
////////////////////////////////////////////////////////////////////////////

// This is the number of automatic application task types we use:

const DWORD NUM_AUTO_APP_TASK_TYPES = 36;

// This is the list of descriptions for these automatic application tasks:

#define AUTO_APP_TASK_TYPE_DESCRIPTIONS \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_KEY_DESCRIPTION, AUTO_TASK_KEY_DESCRIPTION, \
  AUTO_TASK_CLICK_DESCRIPTION, AUTO_TASK_CLICK_DESCRIPTION, \
  AUTO_TASK_CLICK_DESCRIPTION, AUTO_TASK_CLICK_DESCRIPTION, \
  AUTO_TASK_CLICK_DESCRIPTION, AUTO_TASK_CLICK_DESCRIPTION

// This is the number of automatic system task types we use:

const DWORD NUM_AUTO_SYSTEM_TASK_TYPES = 1;

// This is the list of descriptions for these automatic system tasks:

#define AUTO_SYSTEM_TASK_TYPE_DESCRIPTIONS  AUTO_TASK_MOVE_DESCRIPTION

////////////////////////////////////////////////////////////////////////////
// FUNCTION PROTOTYPES
////////////////////////////////////////////////////////////////////////////

DWORD GetAutoTaskType (UINT messageType, WPARAM wParam);

#endif
