//
// UninstallRoutines.h contains function prototypes for exported
// functions of UninstallRoutines.cpp.
//

#include "../Common/Version.h"

void DisplayError (const char *problem);
BOOLEAN GetMainDirectory (char *mainDirectory, int bufferSize);
BOOLEAN PrepareRSTaskForUninstall ();
BOOLEAN DeleteDriver (
  char *driverName,
  SC_HANDLE schSCManager,
  char *systemRoot,
  BOOLEAN stopDriver
  );
BOOLEAN DeleteDLL (char *systemRoot);
BOOLEAN DeleteMainDirectory (char *mainDirectory);
BOOLEAN DeleteStartMenuShortcuts (void);
BOOLEAN DeleteRegistryInfo (void);

